﻿var path = require('path');
var expect = require('expect.js')
var ArtifactInfo = require('../../lib/artifact/artifactinfo');
var ProductionManager = require('../../lib/production/manager');
var options = require('../../lib/production/options');
var modelConfigs = require('../data/modelConfigs');
var artifactConfigs = require('../data/artifactConfigs');

var basedir = modelConfigs.basedir;
var productionOptions = {
    indentSpaces: 4,    // 1 indent (tab) = 4 spaces
    basedir: __dirname,
    verbose: 2 // 0= error only, 1=warnings, 2=all
};

var pman = new ProductionManager(options(productionOptions));

describe("artifactInfo of type final single file", function () {

    var artifactInfo_FinalSingle = new ArtifactInfo(artifactConfigs.artifact_FinalSingle);
    artifactInfo_FinalSingle.initialize(pman);

    it("should be a final artifact", function () {
        expect(artifactInfo_FinalSingle.isFinalArtifact()).to.be(true);
        expect(artifactInfo_FinalSingle.isSwigArtifact()).to.be(false);
        expect(artifactInfo_FinalSingle.isWizziModelArtifact()).to.be(false);
        expect(artifactInfo_FinalSingle.isWizziCollectionArtifact()).to.be(false);
        //TODO expect(artifactInfo_FinalSingle.getFilepath()).to.be(path.join(basedir, "dest/xml/hello.xml"));
    });

});

describe("artifactInfo og type swig single file", function () {

    var artifactInfo_SwigSingle = new ArtifactInfo(artifactConfigs.artifact_SwigSingle);
    artifactInfo_SwigSingle.initialize(pman);

    it("should be swig artifact", function () {

        expect(artifactInfo_SwigSingle.isSwigArtifact()).to.be(true);
        expect(artifactInfo_SwigSingle.isFinalArtifact()).to.be(false);
        expect(artifactInfo_SwigSingle.isWizziModelArtifact()).to.be(false);
        expect(artifactInfo_SwigSingle.isWizziCollectionArtifact()).to.be(false);

    });

});

